Sidebar Content - Patch #2363

Sidebar Redmine 3.0.0
12 Mar 2015 12:36 - Adrian Antonana

Status: Under Verification Start date: 12 Mar 2015
Priority: Normal Due date:

Assignee: Andriy Lesyuk % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2.0

Redmine version: External issue:

Description

When migrating to Redmine 3.0.0-stable (GIT), the rake db:migrate RAILS_ENV=production command was throwing following error:

An error occurred while loading the routes definition of sidebar plugin (/opt/redmine/redmine/plug
ins/sidebar/config/routes.rb): You should not use the ‘match’ method in your router without specif
ying an HTTP method.
If you want to expose your action to both GET and POST, add ‘via: [:get, :post]  option.
If you want to expose your action to GET, use ‘get’ in the router:

Instead of: match "controller#action"

Do: get "controller#action".

Subsituting the “match” strings with “get”, as suggested by the error message, seems to solve the issue. Patch attached.

Associated revisions

Revision 43 - 01 Sep 2016 14:01 - Andriy Lesyuk
Support Redmine 3.x (#2363)

History

#1 - 01 Sep 2016 09:07 - Andriy Lesyuk
- Status changed from New to Under Verification

- Target version set to 0.2.0

Files

routes.rb.patch 533 Bytes 12 Mar 2015 Adrian Antonana
